[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TSetMethodPropertyEvent

Callback for the TReader.OnSetMethodProperty event.

## Declaration

Source position: classesh.inc line 1319

`type TSetMethodPropertyEvent = procedure(`
`Reader: TReader;`
`Instance: TPersistent;`
`PropInfo: PPropInfo;`
`const TheMethodName: string;`
`var Handled: Boolean`
`) of object;`

## Description

TSetMethodPropertyEvent is the prototype for the TReader.OnSetMethodProperty event. Reader is the sender of the event, Instance is the instance that is being streamed. PropInfo is a pointer to the RTTI information for the property being read, and TheMethodName is the name of the method that the property should be set to. Handled should be set to True if the handler set the property successfully.